<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\HomeworkSubmission\HomeworkSubmissionId;
use DomainException;

use function sprintf;

final class RenduDejaSoumisException extends DomainException
{
    public static function pourRendu(HomeworkSubmissionId $id): self
    {
        return new self(sprintf(
            'Le rendu "%s" a déjà été soumis et ne peut plus être modifié.',
            $id,
        ));
    }
}
